For AI agents: A markdown version of this page is available at https://docs.datadoghq.com/ja/api/latest/tags/remove-host-tags.md. A documentation index is available at /llms.txt.
Language
Datadog site

ホストタグを削除する

DELETEhttps://api.datadoghq.com/api/v1/tags/hosts/{host_name}https://api.us3.datadoghq.com/api/v1/tags/hosts/{host_name}https://api.us5.datadoghq.com/api/v1/tags/hosts/{host_name}https://api.datadoghq.eu/api/v1/tags/hosts/{host_name}https://api.ap1.datadoghq.com/api/v1/tags/hosts/{host_name}https://api.ap2.datadoghq.com/api/v1/tags/hosts/{host_name}https://api.uk1.datadoghq.com/api/v1/tags/hosts/{host_name}https://api.ddog-gov.com/api/v1/tags/hosts/{host_name}https://api.us2.ddog-gov.com/api/v1/tags/hosts/{host_name}

概要

このエンドポイントを使用すると、単一ホストのすべてのタグを 削除できます。ソースが指定されていない場合、ソース "User" からのみ削除されます。

引数

パスパラメーター

名前
タイプ
説明
host_name [required]
string

Specified host name to delete tags

クエリ文字列

名前
タイプ
説明
source
string

Source of the tags to be deleted. Complete list of source attribute values. Use "user" source for custom-defined tags.

応答

OK

コード例

ホストタグを削除する
# Path parameters
export host_name="CHANGE_ME"

# Set your Datadog site and credentials
export DD_SITE="datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X DELETE "https://api.${DD_SITE}/api/v1/tags/hosts/${host_name}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export host_name="CHANGE_ME"

# Set your Datadog site and credentials
export DD_SITE="us3.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X DELETE "https://api.${DD_SITE}/api/v1/tags/hosts/${host_name}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export host_name="CHANGE_ME"

# Set your Datadog site and credentials
export DD_SITE="us5.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X DELETE "https://api.${DD_SITE}/api/v1/tags/hosts/${host_name}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export host_name="CHANGE_ME"

# Set your Datadog site and credentials
export DD_SITE="datadoghq.eu"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X DELETE "https://api.${DD_SITE}/api/v1/tags/hosts/${host_name}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export host_name="CHANGE_ME"

# Set your Datadog site and credentials
export DD_SITE="ap1.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X DELETE "https://api.${DD_SITE}/api/v1/tags/hosts/${host_name}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export host_name="CHANGE_ME"

# Set your Datadog site and credentials
export DD_SITE="ap2.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X DELETE "https://api.${DD_SITE}/api/v1/tags/hosts/${host_name}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export host_name="CHANGE_ME"

# Set your Datadog site and credentials
export DD_SITE="uk1.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X DELETE "https://api.${DD_SITE}/api/v1/tags/hosts/${host_name}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export host_name="CHANGE_ME"

# Set your Datadog site and credentials
export DD_SITE="ddog-gov.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X DELETE "https://api.${DD_SITE}/api/v1/tags/hosts/${host_name}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export host_name="CHANGE_ME"

# Set your Datadog site and credentials
export DD_SITE="us2.ddog-gov.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X DELETE "https://api.${DD_SITE}/api/v1/tags/hosts/${host_name}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"